#ifndef OTAKCONFIG_

#define OTAKCONFIG_
#define MESSAGES_AND_ERRORS 1
#define MESSAGES 2
#define CONFIRM 1
#define DO_NOT_CONFIRM 2

#include "translate.h"

#ifdef OTAKCONFIG_C_
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <string.h>
#include <stdlib.h>
#include "miscfnc.h"
#include "ecl.h"
#else
// messages
extern int silent;
extern int silent_attr;
// a few normal varibles ;)
extern int first_time;
extern int sort_database;
extern int write_database;
extern int read_wins;
// command line arg.
extern int confirm_adding;
extern int query_each_database;
extern char *query_arg;
extern char *new_email_arg;
extern char *program_name;
// files names
extern char *config_name;
extern char *base_name;
extern char *baseconfig_name;
extern char *basedir_name;
extern char *size_name;
// shortcuts
extern char *del_key;
extern char *add_key;
extern char *edit_key;
extern char *back_key;
extern char *quit_key;
extern char *move_key;
extern char *load_key;
// stanza varibles
extern char *enter_cmd;
extern char *menu_title;
extern char *query_show;
// ascii arts
extern int show_intro;
extern int toolbar_up;
extern int big_windows;
extern int hide_wininfo;
extern int show_labels;
extern char *arrow_str;
extern char *space_str;
#endif
int read_otakconf(char *);
#endif
