#ifndef SCRDATA_
#define SCRDATA_

struct tobj;

#ifdef SCRDATA_C_

#include "sizes.h"
#include <stdio.h>
#include <string.h>

#include "screen.h"
#include "tsystem.h"
#include "otak.h"
#include "miscfnc.h"
#include "base.h"
#include "baseconfig.h"
#include "otakconfig.h"

#include "winfo.h"
#include "wtext.h"
#include "whelp.h"
#include "wedit.h"
#include "wchoice.h"
#include "wdata.h"	// independent !! ;)

#include "barkeys.h"

static void keys(struct tevent *e);
static void new_item_m(struct tobj *obj, long data);
static void windata_service_b(struct tobj *obj, long data);
static int bardata_create(struct tobj *rootwin);

#else
extern struct drawer *current_drawer;
#endif
void scrdata_hide(void);
void scrdata_show(void);
void scrdata_refresh(void);

void windata_service_m(struct tobj *obj, long data);
void editmode_service(void);
void show_choice(void);
void show_text(void);
void show_edit(void);

void edit_b(struct tobj *obj, long data);
void change_screen_b(struct tobj *obj, long data);

struct scr *scrdata_create(void);
void scrdata_obj_free(void);
int scrdata_obj_create(struct tobj *rootwin);
#endif
