#ifndef SCRPEOPLE_
#define SCRPEOPLE_

#ifdef SCRPEOPLE_C_

#include "sizes.h"
#include <stdio.h>
#include <string.h>

#include "tsystem.h"
#include "otak.h"
#include "otakconfig.h"
#include "screen.h"
#include "base.h"
#include "baseconfig.h"
#include "winfo.h"
#include "wtext.h"
#include "miscfnc.h"
#include "whelp.h"
#include "translate.h"
#include "muse.h"
#include "wchoice.h"
#include "basedir.h"
#include "wload.h"
#include "barkeys.h"
#include "wsearch.h"
#include "wpeople.h"
static void keys(struct tevent *e);
static int barpeople_create(struct tobj *rootwin);

static void addman_b(struct tobj *, long);
static void scrchange_b(struct tobj *obj, long data);
static void quit_b(struct tobj *, long);

#endif
struct tobj;

void delman_b(struct tobj *, long);

void scrpeople_show();
void scrpeople_refresh();

struct scr *scrpeople_create();
int scrpeople_obj_create(struct tobj *rootwin);
void scrpeople_obj_free(void);
#endif
