#ifndef WPEOPLE_
#define WPEOPLE_

#ifdef WPEOPLE_C_
#include "tsystem.h"
#include "scrpeople.h"
#include "translate.h"
#include "sizes.h"
#include "otakconfig.h"
#include "otak.h"
#include "base.h"
#include "baseconfig.h"
#include "muse.h"

#endif
struct tevent;
struct tobj;

void mpeople_get(long m, long *data);
void mpeople_set(long m, long data);
void mpeople_domethod(long m, long data);
int mpeople_additem(char *name);

int wpeople_service(struct tevent *e);
void wpeople_show(void);
void wpeople_hide(void);
void wpeople_set(long m, long data);

int mpeople_create(void);
int wpeople_create(struct tobj *rootwin);

void mpeople_free(void);
void wpeople_free(void);

#endif

